Subject: Re: [RFC] Git User's Survey 2010 (resend)

From: Jakub Narebski <[email-masked]>
Date: Wed, 07 Jul 2010 14:37:36 -0700 (PDT)

Yann Dirson <[email-masked]> writes:
> Jakub Narebski <jnareb <at> gmail.com> writes:
> 
> > === 07. I use Git for (check all that apply): ===
> [...]
> >  + work projects
> >  + unpaid projects
> 
> "Unpaid" could be further split between personnal use, cooperating in
> public projects (includes "OSS development" below), working for NGO's
> and the like.

"Unpaid projects" simply means here not work (related).  I am not sure
if adding other options is worth it; I'd rather not have too many
possibile answers for a question.
 
> > === 08. How do/did you obtain Git (install and/or upgrade)? ===
> > (multiple choice, with other)
> [...]
> > Description:
> > ~~~~~~~~~~~~
> > Explanation: "binary package" covers pre-compiled binary (e.g.  from
> > rpm or deb binary packages); "source package" covers things like
> > deb-src and SRPMS / *.src.rpm; "source script" is meant to cover
> > installation in source-based distributions, like 'emerge' in Gentoo.
> 
> Do we care about particular binary packages, like distro-provided,
> distro backports, RPMs for kernel.org and similar "official as in
> listed on git-scm.org" packages, 3rd-party packages (maybe with
> "please specify").

No, I don't think we do worry about this.
 
> > === 09. On which operating system(s) do you use Git? ===
> [...]
> > OpenSolaris died, so I removed it.
> 
> It does not seem to have died, only "free-beer solaris" seems to -
> opensolaris.org still shows activity.  And even so, people may still
> have been using machines installed with it.

Nevertheless it's install base, as shown by previous surveys, is IMVHO
too small for it to have it as a separate option.
 
> > === 11. What Git interfaces and frontends do you use? ===
> [...]
> > The problem with split part is that people can have troubls with
> > distinguising between interfaces, implementations, frontends and tools
> > (although "I don't know ..."  answer should, I think, help here).  The
> > problem with having it everything together is that the list of
> > possible answers gets long and a bit unwieldy.
> 
> "interface" is confusing, as shown by the need for "I only use
> (graphical) tools".  Use "command-line interfaces and frontends"
> instead ?
 
That's a good idea.  Thanks.
 
> > === 12. What kind of Git tools do you use? ===
> > (multiple choice, with other)
> [...]
> >  + graphical blame or pickaxe tool
> 
> Mention gitk as example here ?

You meant here "git gui blame", didn't you?

> > === 16. Which of the following features do you use? ===
> > (multiple choice, with other)
> [...]
> >  + one-way interaction with other SCMs (from SCM to git)
> 
> One-way from git to other SCM ?  I'm sure we care if many people do that :)

One way from SCM to git.

> > === 17. Which of the following features would you like to see implemented in
> git? ===
> 
> + sophisticated diffcore stages (eg. directory rename, indent detection,
>   content move)

Thanks.

BTW. I think wholesame directory rename detection is one of proposed
features already.

> > What features should be mentioned besides those above?  What criteria
> > should we have for including features in this list?
> 
> Not sure if any reasonable idea that appeared on the list should be
> left out.  Answers would provide feedback for features not necessarily
> interesting to the average git@vger reader, but still appealing to our
> users.

I don't think ideas about _internal_ changes need to be here.  Also,
I do not remember _every_ feature proposel that appeared on the list...
 
> > === 22. How do you compare the current version with the version from one year
> ago? ===
> [...]
> > This question was mainly excuse for providing list of main changes
> > from the year ago.  I think that this question should be removed, as
> > it doesn't bring any important information.
> 
> It still says whether the work done on dev side is seen as valuable by
> end users.

Ego stroking ;-))))

I'm not sure if it is worth having this question.  If there were any
big controversial changes, perhaps...

> > === 23. How useful have you found the following forms of Git documentation? ===
> [...]
> >  + on-line help
> 
> Spell as "online" ?  At least I had difficulties to parse it :)
 
O.K.
 
> > === 28. How did you hear about this Git User's Survey? ===
> > (single choice, with other)
> 
> + relaying by co-workers bridging the team to the community

Hmmm... good catch.

-- 
Jakub Narebski
Poland
ShadeHawk on #git